<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Banners</title>
    <style>
      .image-to-show {
        width: 400px;
        height: 400px;
      }
      .image-to-show {
        display: none;
      }
      .active {
        display: inline;
        border: 3px solid black;
      }
      #demo {
        margin: 10px 0;
        border: 1px solid black;
        width: 90px;
        padding: 3px;
        box-sizing: border-box;
        font-size: 12px;
      }
    </style>
  </head>
  <body>
    <div class="images-wrapper">
      <img src="./img/1.jpg" alt="image of game" class="image-to-show active" />
      <img src="./img/2.jpg" alt="image of game" class="image-to-show" />
      <img src="./img/3.JPG" alt="image of game" class="image-to-show" />
      <img src="./img/4.png" alt="image of game" class="image-to-show" />
    </div>

    <button onclick="startCount()">Start count!</button>

    <div id="demo">Count:</div>
    <button onclick="stopCount()">Stop count!</button>

    <p>Click on "Start count!" to start the timer.</p>

    <p>
      Click on "Stop count!" to stop counting. Click on "Start count!" to start
      the timer again.
    </p>

    <script>
      let counter = 3000;
      let timeout;
      let timer_on = 0;
      let allPic = document.querySelectorAll(".image-to-show");
      console.log(allPic);
      let count = 0;
      function nextFunction() {
        /* var j = 300; */

        if (count < allPic.length - 1) {
          count++;
        } else {
          count = 0;
        }
        allPic.forEach((elem) => {
          elem.classList.remove("active");
        });
        allPic[count].classList.add("active");
      } /* 
  document.addEventListener('DOMContentLoaded',nextFunction) */

      document.addEventListener("DOMContentLoaded", startCount);

      function timedCount() {
        document.getElementById("demo").innerHTML = `Count: ${counter} ms`;
        counter = counter - 10;
        if (!counter) {
          counter = 3000;
          /* count++; */
          nextFunction();
          stopCount();
        }

        timeout = setTimeout(timedCount, 10);
      }

      function startCount() {
        if (!timer_on) {
          timer_on = 1;
          timedCount();
        }
      }

      function stopCount() {
        clearTimeout(timeout);
        timer_on = 0;
      }
    </script>
  </body>
</html>
